diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.cron.inc b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.cron.inc
index 88e1f4f7..bf351668 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.cron.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.cron.inc
@@ -2,22 +2,18 @@
 
 /**
  * @file
- * cron relate functions
- *
+ * Cron relate functions.
  */
 
 /**
- * function to respond to ldap associated drupal accounts which no
- * longer have a related LDAP entry
+ * Function to respond to ldap associated drupal accounts which no
+ * longer have a related LDAP entry.
  *
  * @param LdapUserConf $ldap_user_conf
  *
  * @return boolean FALSE on error or incompletion or TRUE otherwise
  */
 function _ldap_user_orphans($ldap_user_conf) {
-
-  // return TRUE; // this is untested code
-
   if (!$ldap_user_conf->orphanedDrupalAcctBehavior ||
     $ldap_user_conf->orphanedDrupalAcctBehavior == 'ldap_user_orphan_do_not_check') {
     return TRUE;
@@ -40,18 +36,20 @@ function _ldap_user_orphans($ldap_user_conf) {
     ->fieldCondition('ldap_user_puid', 'value', 'NULL', '!=')
     ->fieldCondition('ldap_user_current_dn', 'value', 'NULL', '!=')
     ->propertyCondition('uid', $last_uid_checked, '>')
+    ->propertyCondition('status', 1)
     ->propertyOrderBy('uid', 'ASC')
     ->range(0, $ldap_user_conf->orphanedCheckQty)
-    ->addMetaData('account', user_load(1)); // run the query as user 1
+  // Run the query as user 1.
+    ->addMetaData('account', user_load(1));
   $result = $query->execute();
 
-  $email_list = array();
+  $email_list = [];
   $ldap_servers = ldap_servers_get_servers(NULL, 'enabled');
-  $watchdogs_sids_missing_watchdogged = array();
+  $watchdogs_sids_missing_watchdogged = [];
   /**
-   * first produce array of form:
-   *  $drupal_users[$sid][$puid_attr][$puid]['exists'] = FALSE | TRUE;
-   *  signifying if corresponding LDAP Entry exists
+   * First produce array of form:
+   *  $drupal_users[$sid][$puid_attr][$puid]['exists'] = bool
+   *  signifying if corresponding LDAP Entry exists.
    */
   if (!(isset($result['user']) && count($result['user']) > 0)) {
     return TRUE;
@@ -60,7 +58,7 @@ function _ldap_user_orphans($ldap_user_conf) {
   $uids = array_keys($result['user']);
   $user_count = count($uids);
 
-  // if maxed out reset uid check counter
+  // If maxed out reset uid check counter.
   if ($user_count < $ldap_user_conf->orphanedCheckQty) {
     variable_set('ldap_user_cron_last_uid_checked', 1);
   }
@@ -69,14 +67,14 @@ function _ldap_user_orphans($ldap_user_conf) {
   }
 
   $batches = floor($user_count / LDAP_SERVERS_MAXFILTER_ORS) + 1;
-  // e.g. 175 users and  50 max ldap query ors will yield 4 batches
+  // e.g. 175 users and  50 max ldap query ors will yield 4 batches.
   for ($batch = 1; $batch <= $batches; $batch++) {
     $email_list = _ldap_user_orphan_process_batch($ldap_user_conf, $batch, $user_count, $uids, $ldap_servers, $watchdogs_sids_missing_watchdogged, $query, $email_list);
   }
 
   if (count($email_list) > 0) {
     $site_email = variable_get('site_mail', FALSE);
-    $params = array('accounts' => $email_list);
+    $params = ['accounts' => $email_list];
     if ($site_email) {
       drupal_mail(
         'ldap_user',
@@ -106,7 +104,7 @@ function _ldap_user_orphans($ldap_user_conf) {
  */
 function _ldap_user_orphan_process_batch($ldap_user_conf, $batch, $user_count, $uids, $ldap_servers, $watchdogs_sids_missing_watchdogged, $query, $email_list) {
   $filters = [];
-  $drupal_users = array();
+  $drupal_users = [];
   /**
    * 1. populate $drupal_users[$sid][$puid_attr][$puid]['exists']  = TRUE
    *
@@ -114,9 +112,12 @@ function _ldap_user_orphan_process_batch($ldap_user_conf, $batch, $user_count, $
    *       2nd batch   $i=50; $i<100; $i++
    *       4th batch   $i=150; $i<175; $i++
    */
-  $start = ($batch - 1) * LDAP_SERVERS_MAXFILTER_ORS; // e.g 0, 50, 100
-  $end_plus_1 = min(($batch) * LDAP_SERVERS_MAXFILTER_ORS, $user_count); // e.g. 50, 100, 150
-  $batch_uids = array_slice($uids, $start, ($end_plus_1 - $start)); // e.g. 50, 50; 100, 50
+  // e.g 0, 50, 100.
+  $start = ($batch - 1) * LDAP_SERVERS_MAXFILTER_ORS;
+  // e.g. 50, 100, 150.
+  $end_plus_1 = min(($batch) * LDAP_SERVERS_MAXFILTER_ORS, $user_count);
+  // e.g. 50, 50; 100, 50.
+  $batch_uids = array_slice($uids, $start, ($end_plus_1 - $start));
   $accounts = entity_load('user', $batch_uids);
 
   foreach ($accounts as $uid => $user) {
@@ -134,13 +135,13 @@ function _ldap_user_orphan_process_batch($ldap_user_conf, $batch, $user_count, $
       $drupal_users[$sid][$puid_attr][$puid]['exists'] = FALSE;
     }
     else {
-      // user with missing ldap data fields
+      // User with missing ldap data fields
       // perhaps should be watchdogged?
     }
   }
 
-  //2. set $drupal_users[$sid][$puid_attr][$puid]['exists'] to FALSE
-  // if entry doesn't exist
+  // 2. set $drupal_users[$sid][$puid_attr][$puid]['exists'] to FALSE
+  // if entry doesn't exist.
   foreach ($filters as $sid => $puid_attrs) {
     if (!isset($ldap_servers[$sid])) {
       if (!isset($watchdogs_sids_missing_watchdogged[$sid])) {
@@ -155,11 +156,12 @@ function _ldap_user_orphan_process_batch($ldap_user_conf, $batch, $user_count, $
       continue;
     }
     foreach ($puid_attrs as $puid_attr => $ors) {
-      // query should look like (|(guid=3243243)(guid=3243243)(guid=3243243))
+      // Query should look like (|(guid=3243243)(guid=3243243)(guid=3243243))
       $ldap_filter = '(|' . join("", $ors) . ')';
       $ldap_entries = $ldap_servers[$sid]->searchAllBaseDns($ldap_filter, [$puid_attr]);
       if ($ldap_entries === FALSE) {
-        unset($drupal_users[$sid]); // if query has error, don't remove ldap entries!
+        // If query has error, don't remove ldap entries!
+        unset($drupal_users[$sid]);
         watchdog(
           'ldap_user',
           'ldap server %sid had error while querying to
@@ -178,10 +180,8 @@ function _ldap_user_orphan_process_batch($ldap_user_conf, $batch, $user_count, $
       }
     }
   }
-  //3. we now have $drupal_users[$sid][$puid_attr][$puid]['exists'] = FALSE | TRUE;
-  if ($ldap_user_conf->orphanedDrupalAcctBehavior == 'ldap_user_orphan_email') {
-    global $base_url;
-  }
+  // 3. we now have $drupal_users[$sid][$puid_attr][$puid]['exists'] = bool.
+  global $base_url;
   foreach ($drupal_users as $sid => $puid_x_puid_attrs) {
     foreach ($puid_x_puid_attrs as $puid_attr => $puids) {
       foreach ($puids as $puid => $user_data) {
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.info b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.info
index a3d6ae1a..58b9d078 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.info
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.info
@@ -6,6 +6,7 @@ dependencies[] = entity
 dependencies[] = number
 
 core = 7.x
+php = 5.4
 
 files[] = ldap_user.api.php
 files[] = ldap_user.inc
@@ -24,8 +25,8 @@ configure = admin/config/people/ldap/user
 
 test_dependencies[] = ldap_sso:ldap_sso
 
-; Information added by Drupal.org packaging script on 2018-08-13
-version = "7.x-2.4"
+; Information added by Drupal.org packaging script on 2019-04-20
+version = "7.x-2.5"
 core = "7.x"
 project = "ldap"
-datestamp = "1534201086"
+datestamp = "1555751588"
diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.install b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.install
index fe2cb66d..b13ccecf 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.install
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.install
@@ -10,11 +10,11 @@
  */
 function ldap_user_requirements($phase) {
 
-  $requirements = array();
+  $requirements = [];
 
   if ($phase == 'runtime') {
 
-    // check for all $user->* fields created
+    // Check for all $user->* fields created.
     $missing_fields = ldap_user_update_check_user_fields(TRUE);
     if (count($missing_fields)) {
       $requirements['ldap_user']['title'] = t('User Fields for LDAP User Module Missing');
@@ -24,17 +24,16 @@ function ldap_user_requirements($phase) {
       $requirements['ldap_user']['description'] = t('Fields are added to the
         Drupal User entity for LDAP User module functionality.  These fields should
         have been created in LDAP User update 7203. The following userfields are missing:') .
-        theme('item_list', array(
+        theme('item_list', [
           'items' => $missing_fields,
           'type' => 'ul',
           'title' => NULL,
-        )) .
+        ]) .
         t('Rerun update 7203 to correct this; it will not write over destroy existing fields.');
     }
   }
 
-
-  // check that ldapauth not installed.
+  // Check that ldapauth not installed.
   return $requirements;
 
 }
@@ -52,26 +51,26 @@ function ldap_user_install() {
     }
   }
 
-  // make ldap user weight slightly less than other ldap modules so it can load
+  // Make ldap user weight slightly less than other ldap modules so it can load
   // user's associated ldap data first and save on ldap queries.
-
   db_query("UPDATE {system} SET weight = -1 WHERE name = 'ldap_user'");
 
   _ldap_user_install_update_authmap();
 
-
-
 }
 
+/**
+ *
+ */
 function _ldap_user_install_update_authmap() {
   db_update('authmap')
-  ->fields(
-    array(
+    ->fields(
+    [
       'module' => 'ldap_user',
-    )
+    ]
   )
-  ->condition('module', 'ldap_authentication')
-  ->execute();
+    ->condition('module', 'ldap_authentication')
+    ->execute();
 
 }
 
@@ -104,366 +103,362 @@ function ldap_user_uninstall() {
  */
 function ldap_user_schema() {
 
-
 }
 
-
-// see http://api.drupal.org/api/drupal/modules%21field%21field.module/group/field/7
-
-
+/**
+ * See http://api.drupal.org/api/drupal/modules%21field%21field.module/group/field/7.
+ */
 function ldap_user_user_entity_fields() {
 
-  $fields = array();
+  $fields = [];
 
   $field_name = 'ldap_user_puid_sid';
-  $fields[$field_name]['field'] = array(
+  $fields[$field_name]['field'] = [
     'field_name' => $field_name,
     'type' => 'text',
-    'entity_types' => array('user'),
+    'entity_types' => ['user'],
     'cardinality' => 1,
     'translatable' => 0,
     'locked' => 1,
     'module' => 'text',
     'no_ui' => 1,
-    'settings' => array(),
-    );
-
-  $fields[$field_name]['instance'] = array(
-      'field_name' => $field_name,
-      'entity_type' => 'user',
-      'bundle' => 'user',
-      'label' => 'LDAP Server ID that puid was derived from.  NULL if puid is independent of server configuration instance.',
-      'description' => 'This field should not be edited.',
-      'required' => 0,
-      'default_value' => array(),
-      'settings' => array(
-        'text_processing' => 0,
-      ),
-      'widget' => array(
-        'type' => 'ldap_user_hidden',
-        'settings' => array(),
-        'module' => 'ldap_user',
-      ),
-      'display' => array(
-        'default' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'full' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'teaser' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      ));
+    'settings' => [],
+  ];
 
+  $fields[$field_name]['instance'] = [
+    'field_name' => $field_name,
+    'entity_type' => 'user',
+    'bundle' => 'user',
+    'label' => 'LDAP Server ID that puid was derived from.  NULL if puid is independent of server configuration instance.',
+    'description' => 'This field should not be edited.',
+    'required' => 0,
+    'default_value' => [],
+    'settings' => [
+      'text_processing' => 0,
+    ],
+    'widget' => [
+      'type' => 'ldap_user_hidden',
+      'settings' => [],
+      'module' => 'ldap_user',
+    ],
+    'display' => [
+      'default' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'full' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'teaser' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+    ],
+  ];
 
   $field_name = 'ldap_user_puid';
-  $fields[$field_name]['field'] = array(
-      'field_name' => $field_name,
-      'type' => 'text',
-      'entity_types' => array('user'),
-      'cardinality' => 1,
-      'translatable' => 0,
-      'locked' => 1,
-      'module' => 'text',
-      'no_ui' => 1,
-      'settings' => array(),
-      );
-
-  $fields[$field_name]['instance'] = array(
-      'field_name' => $field_name,
-      'entity_type' => 'user',
-      'bundle' => 'user',
-      'label' => 'Value of user\'s permanent unique id.  This should never change for a given ldap identified user.',
-      'description' => 'This field should not be edited.',
-      'required' => 0,
-      'default_value' => array(),
-      'settings' => array(
-        'text_processing' => 0,
-      ),
-      'widget' => array(
-        'type' => 'ldap_user_hidden',
-        'settings' => array(),
-        'module' => 'ldap_user',
-      ),
-      'display' => array(
-        'default' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'full' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'teaser' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      ));
+  $fields[$field_name]['field'] = [
+    'field_name' => $field_name,
+    'type' => 'text',
+    'entity_types' => ['user'],
+    'cardinality' => 1,
+    'translatable' => 0,
+    'locked' => 1,
+    'module' => 'text',
+    'no_ui' => 1,
+    'settings' => [],
+  ];
+
+  $fields[$field_name]['instance'] = [
+    'field_name' => $field_name,
+    'entity_type' => 'user',
+    'bundle' => 'user',
+    'label' => 'Value of user\'s permanent unique id.  This should never change for a given ldap identified user.',
+    'description' => 'This field should not be edited.',
+    'required' => 0,
+    'default_value' => [],
+    'settings' => [
+      'text_processing' => 0,
+    ],
+    'widget' => [
+      'type' => 'ldap_user_hidden',
+      'settings' => [],
+      'module' => 'ldap_user',
+    ],
+    'display' => [
+      'default' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'full' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'teaser' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+    ],
+  ];
 
   $field_name = 'ldap_user_puid_property';
-  $fields[$field_name]['field'] = array(
-      'field_name' => $field_name,
-      'type' => 'text',
-      'entity_types' => array('user'),
-      'cardinality' => 1,
-      'translatable' => 0,
-      'locked' => 1,
-      'module' => 'text',
-      'no_ui' => 1,
-      'settings' => array(),
-      );
-
-  $fields[$field_name]['instance'] = array(
-      'field_name' => $field_name,
-      'entity_type' => 'user',
-      'bundle' => 'user',
-      'label' => 'Property specified as user\'s puid.',
-      'description' => 'This field should not be edited.',
-      'required' => 0,
-      'default_value' => array(),
-      'settings' => array(
-        'text_processing' => 0,
-      ),
-      'widget' => array(
-        'type' => 'ldap_user_hidden',
-        'settings' => array(),
-        'module' => 'ldap_user',
-      ),
-      'display' => array(
-        'default' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'full' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'teaser' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      ));
+  $fields[$field_name]['field'] = [
+    'field_name' => $field_name,
+    'type' => 'text',
+    'entity_types' => ['user'],
+    'cardinality' => 1,
+    'translatable' => 0,
+    'locked' => 1,
+    'module' => 'text',
+    'no_ui' => 1,
+    'settings' => [],
+  ];
+
+  $fields[$field_name]['instance'] = [
+    'field_name' => $field_name,
+    'entity_type' => 'user',
+    'bundle' => 'user',
+    'label' => 'Property specified as user\'s puid.',
+    'description' => 'This field should not be edited.',
+    'required' => 0,
+    'default_value' => [],
+    'settings' => [
+      'text_processing' => 0,
+    ],
+    'widget' => [
+      'type' => 'ldap_user_hidden',
+      'settings' => [],
+      'module' => 'ldap_user',
+    ],
+    'display' => [
+      'default' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'full' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'teaser' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+    ],
+  ];
 
   $field_name = 'ldap_user_current_dn';
-  $fields[$field_name]['field'] = array(
-      'field_name' => $field_name,
-      'type' => 'text',
-      'entity_types' => array('user'),
-      'cardinality' => 1,
-      'translatable' => 0,
-      'locked' => 1,
-      'module' => 'text',
-      'no_ui' => 1,
-      'settings' => array(),
-      );
-
-  $fields[$field_name]['instance'] = array(
-      'field_name' => $field_name,
-      'entity_type' => 'user',
-      'bundle' => 'user',
-      'label' => 'User LDAP DN',
-      'description' => 'May change when user\'s DN changes. This field should not be edited.',
-      'required' => 0,
-      'default_value' => array(),
-      'settings' => array(
-        'text_processing' => 0,
-      ),
-      'widget' => array(
-        'type' => 'ldap_user_hidden',
-        'settings' => array(),
-        'module' => 'ldap_user',
-      ),
-      'display' => array(
-        'default' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'full' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'teaser' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      ));
+  $fields[$field_name]['field'] = [
+    'field_name' => $field_name,
+    'type' => 'text',
+    'entity_types' => ['user'],
+    'cardinality' => 1,
+    'translatable' => 0,
+    'locked' => 1,
+    'module' => 'text',
+    'no_ui' => 1,
+    'settings' => [],
+  ];
+
+  $fields[$field_name]['instance'] = [
+    'field_name' => $field_name,
+    'entity_type' => 'user',
+    'bundle' => 'user',
+    'label' => 'User LDAP DN',
+    'description' => 'May change when user\'s DN changes. This field should not be edited.',
+    'required' => 0,
+    'default_value' => [],
+    'settings' => [
+      'text_processing' => 0,
+    ],
+    'widget' => [
+      'type' => 'ldap_user_hidden',
+      'settings' => [],
+      'module' => 'ldap_user',
+    ],
+    'display' => [
+      'default' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'full' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'teaser' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+    ],
+  ];
 
   $field_name = 'ldap_user_prov_entries';
-  $fields[$field_name]['field'] = array(
+  $fields[$field_name]['field'] = [
     'field_name' => $field_name,
     'type' => 'text',
-    'entity_types' => array('user'),
+    'entity_types' => ['user'],
     'cardinality' => FIELD_CARDINALITY_UNLIMITED,
     'translatable' => 0,
     'locked' => 1,
     'module' => 'text',
     'no_ui' => 1,
-    'settings' => array(),
-    );
-
-  $fields[$field_name]['instance'] = array(
-      'field_name' => $field_name,
-      'entity_type' => 'user',
-      'bundle' => 'user',
-      'label' => 'LDAP Entries that have been provisioned from this Drupal user.',
-      'description' => 'This field should not be edited.',
-      'required' => 0,
-      'default_value' => NULL,
-      'settings' => array(
-        'text_processing' => 0,
-      ),
-      'widget' => array(
-        'type' => 'ldap_user_hidden',
-        'settings' => array(),
-        'module' => 'ldap_user',
-      ),
-      'display' => array(
-        'default' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'full' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'teaser' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      ));
+    'settings' => [],
+  ];
+
+  $fields[$field_name]['instance'] = [
+    'field_name' => $field_name,
+    'entity_type' => 'user',
+    'bundle' => 'user',
+    'label' => 'LDAP Entries that have been provisioned from this Drupal user.',
+    'description' => 'This field should not be edited.',
+    'required' => 0,
+    'default_value' => NULL,
+    'settings' => [
+      'text_processing' => 0,
+    ],
+    'widget' => [
+      'type' => 'ldap_user_hidden',
+      'settings' => [],
+      'module' => 'ldap_user',
+    ],
+    'display' => [
+      'default' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'full' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'teaser' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+    ],
+  ];
 
   $field_name = 'ldap_user_last_checked';
-  $fields[$field_name]['field'] = array(
+  $fields[$field_name]['field'] = [
     'field_name' => $field_name,
     'type' => 'number_integer',
-    'entity_types' => array('user'),
+    'entity_types' => ['user'],
     'cardinality' => 1,
     'translatable' => 0,
     'locked' => 1,
     'module' => 'number',
     'no_ui' => 1,
-    'settings' => array(),
-    );
-
-  $fields[$field_name]['instance'] = array(
-      'field_name' => $field_name,
-      'entity_type' => 'user',
-      'bundle' => 'user',
-      'label' => 'Unix timestamp of when Drupal user was compard to ldap entry.  This could be for purposes of synching, deleteing drupal account, etc.',
-      'description' => 'This field should not be edited.',
-      'required' => 0,
-      'default_value' => NULL,
-      'settings' => array(
-      ),
-      'widget' => array(
-        'type' => 'ldap_user_hidden',
-        'settings' => array(),
-        'module' => 'ldap_user',
-      ),
-      'display' => array(
-        'default' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'full' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'teaser' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      ));
+    'settings' => [],
+  ];
+
+  $fields[$field_name]['instance'] = [
+    'field_name' => $field_name,
+    'entity_type' => 'user',
+    'bundle' => 'user',
+    'label' => 'Unix timestamp of when Drupal user was compard to ldap entry.  This could be for purposes of synching, deleteing drupal account, etc.',
+    'description' => 'This field should not be edited.',
+    'required' => 0,
+    'default_value' => NULL,
+    'settings' => [],
+    'widget' => [
+      'type' => 'ldap_user_hidden',
+      'settings' => [],
+      'module' => 'ldap_user',
+    ],
+    'display' => [
+      'default' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'full' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'teaser' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+    ],
+  ];
 
   $field_name = 'ldap_user_ldap_exclude';
-  $fields[$field_name]['field'] = array(
+  $fields[$field_name]['field'] = [
     'field_name' => $field_name,
     'type' => 'number_integer',
-    'entity_types' => array('user'),
+    'entity_types' => ['user'],
     'cardinality' => 1,
     'translatable' => 0,
     'locked' => 1,
     'module' => 'number',
     'no_ui' => 1,
-    'settings' => array(),
-    );
-
-  $fields[$field_name]['instance'] = array(
-      'field_name' => $field_name,
-      'entity_type' => 'user',
-      'bundle' => 'user',
-      'label' => 'Whether to exclude the user from LDAP functionality',
-      'description' => 'This field should not be edited.',
-      'required' => 0,
-      'default_value' => 0,
-      'settings' => array(
-      ),
-      'widget' => array(
-        'type' => 'ldap_user_hidden',
-        'settings' => array(),
-        'module' => 'ldap_user',
-      ),
-      'display' => array(
-        'default' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'full' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      'teaser' => array(
-          'label' => 'hidden',
-          'type' => 'hidden',
-        ),
-      ));
-  
+    'settings' => [],
+  ];
+
+  $fields[$field_name]['instance'] = [
+    'field_name' => $field_name,
+    'entity_type' => 'user',
+    'bundle' => 'user',
+    'label' => 'Whether to exclude the user from LDAP functionality',
+    'description' => 'This field should not be edited.',
+    'required' => 0,
+    'default_value' => 0,
+    'settings' => [],
+    'widget' => [
+      'type' => 'ldap_user_hidden',
+      'settings' => [],
+      'module' => 'ldap_user',
+    ],
+    'display' => [
+      'default' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'full' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+      'teaser' => [
+        'label' => 'hidden',
+        'type' => 'hidden',
+      ],
+    ],
+  ];
+
   return $fields;
 }
 
-
 /**
- * update authmap table, changing ldap_authentication to ldap_user, disable ldap_profile
+ * Update authmap table, changing ldap_authentication to ldap_user, disable ldap_profile.
  */
-
 function ldap_user_update_7201() {
   if (module_exists('ldap_profile')) {
-    module_disable(array('ldap_profile', TRUE));
+    module_disable(['ldap_profile', TRUE]);
   }
   _ldap_user_install_update_authmap();
 }
 
-
 /**
- * attach ldap_user_last_checked field to user entity to track reconciliation of ldap and drupal accounts
+ * Attach ldap_user_last_checked field to user entity to track reconciliation of ldap and drupal accounts.
  */
-
 function ldap_user_update_7202() {
 
   return t('ldap_user_last_checked field added to user entity.');
 
 }
 
-
-
 /**
- * make sure all user entity fields are created
+ * Make sure all user entity fields are created.
  */
 function ldap_user_update_7203() {
 
   if (module_exists('ldap_groups')) {
-    module_disable(array('ldap_groups', TRUE));
+    module_disable(['ldap_groups', TRUE]);
   }
 
   $fields_added = ldap_user_update_check_user_fields();
 
   if (count($fields_added)) {
     $fields = join(', ', $fields_added);
-    return t('%fields added to user entity.', array('%fields' => $fields));
+    return t('%fields added to user entity.', ['%fields' => $fields]);
   }
   else {
     return t('no fields needed to be added to user entity.');
@@ -472,7 +467,7 @@ function ldap_user_update_7203() {
 }
 
 /**
- * make sure all user entity field instances are created
+ * Make sure all user entity field instances are created.
  */
 function ldap_user_update_7204() {
 
@@ -480,7 +475,7 @@ function ldap_user_update_7204() {
 
   if (count($fields_added)) {
     $fields = join(', ', $fields_added);
-    return t('%fields added to user entity.', array('%fields' => $fields));
+    return t('%fields added to user entity.', ['%fields' => $fields]);
   }
   else {
     return t('no fields needed to be added to user entity.');
@@ -489,7 +484,7 @@ function ldap_user_update_7204() {
 }
 
 /**
- * make sure all user entity field instances are created
+ * Make sure all user entity field instances are created.
  */
 function ldap_user_update_7205() {
 
@@ -497,11 +492,14 @@ function ldap_user_update_7205() {
 
 }
 
+/**
+ *
+ */
 function ldap_user_update_check_user_fields($query = FALSE) {
   if (!$query) {
-    module_enable(array('number'));
+    module_enable(['number']);
   }
-  $fields_added = array();
+  $fields_added = [];
   foreach (ldap_user_user_entity_fields() as $field_id => $field_conf) {
     $field_info = field_info_field($field_id);
     if (!$field_info) {
